6

I had ArcMap 10 Add-In project built with ArcObjects SDK for .NET 10.1 where I could not reference external COM DLL build on .NET 4.0 due to a .NET forward compatibility issue. (ArcObjects SDK 10.1 uses .NET 3.5 SP1)

I wonder if the newer ArcObjects SDK 10.2 release targets the .NET 4.0 framework. That will solve my problem.

Does anyone know? Thanks

4

.Net 4 is supported by ArcGIS 10.1, but there is a little extra work you will need to do. http://resources.arcgis.com/en/help/arcobjects-net/conceptualhelp/index.html#//000100000nzv000000

If you require any of the .NET 4.0 Framework functionality, you can extend Esri products with components written in the .NET 4.0 Framework. However, it's your responsibility to redistribute and/or verify that the .NET 4.0 Framework exists on the target system.

4

According to the official documentation:

ArcGIS for Desktop, ArcGIS Engine, or ArcGIS for Server is required to develop with ArcObjects SDK.

Microsoft .NET Framework 3.5 Service Pack 1

2

I installed the 10.2 and created ArcMapAddin test project. It seems it targets the .Net 4.0 by default.

VS2010 ArcMapAddin project

The 10.2 ArcMap.exe.config is not targeting .NET 4.0 by default: ArcMap.exe.config 10.2

In Win7 32 bit the ArcMap.exe.config is located at C:\Program Files\ArcGIS\Desktop10.2\bin\

It needs to be manually changed to enter image description here

  • Though it is an older post, but I really need arcobjects sdk v10.2 for .NET. How you built this "ArcMapAddin test project"?? I have vs2010 and arcmap for desktop v10.2. but I cannot build any arcmapAddin projects because of sdk ..If you can, pls help.Thanks. – Monir Nov 17 '15 at 5:37

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.